%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		i386
%endif

Summary: Geant4
Name: geant4
Version: 9.1.p03
Release: 10.5hepx1a
Source0: localhost:/%{name}.%{version}-macosx10.5-%{__arch}.tar.gz
NoSource: 0
URL: http://wwwasd.web.cern.ch/wwwasd/geant4/geant4.html
Group: Development/Libraries
License: GEANT4 collaboration
%define __prefix	/opt/g4
BuildRoot: %{_tmppath}/%{name}-root

%description
Geant4 is a toolkit for the simulation of the passage of particles through matter.
Its application areas include high energy physics and nuclear experiments, medical, 
accelerator and space physics studies.

Reference paper for Geant4: "GEANT4: A Simulation Toolkit", by the Geant4 Collaboration 
(S. Agostinelli et al), published in Nuclear Instruments and Methods in Physics Research, 
NIM A 506 (2003), 250-303.

%prep
%setup -c %{name}-%{release}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}.%{version}-macosx10.5-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -name '*~' -exec rm {} \;
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
                             | grep -ve '^%dir /[^/]*$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p03-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Jul 3 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p02-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p01-10.5hepx1b
- 1st release on MacOS X 10.5 for PPC Macs.

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.1.p01-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Sun Sep 30 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 9.0.p01-1a
- 1st release on MacOS X 10.4 for Intel Macs.

%files -f list.f
%defattr(-,root,wheel)
